djot-0.1.2.2: Parser and renderer for djot light markup syntax.

Safe Haskell | None
Language | Haskell2010

Djot.Html

# Documentation

inlinesToByteString :: Inlines -> ByteString #

renderHtml :: RenderOptions -> Doc -> Builder #

newtype RenderOptions #

Constructors

RenderOptions |

Fields

- preserveSoftBreaks :: Bool

  Preserve soft breaks as in the source

#### Instances

Instances details

Show RenderOptions # |
Instance details Defined in Djot.Options Methods showsPrec :: Int -> RenderOptions -> ShowS # show :: RenderOptions -> String # showList :: [RenderOptions] -> ShowS #